namespace InABox.Core
{
    public class DFLayoutLabel : DFLayoutControl
    {
        [MemoEditor]
        [EditorSequence(0)]
        public string Caption { get; set; }

        public DFLayoutLabel()
        {
            Caption = "";
        }

        protected override string GetDescription()
        {
            return Caption;
        }

        protected override void LoadProperties()
        {
            base.LoadProperties();
            Caption = GetProperty("Caption", "");
        }

        protected override void SaveProperties()
        {
            base.SaveProperties();
            SetProperty("Caption", Caption);
        }
    }
}